Subject: RE: [Mip4] review of draft-nakhjiri-radius-mip4-01.txt

From: "Nakhjiri Madjid-MNAKHJI1" <[email-masked]>
Date: Tue, 27 Sep 2005 11:42:29 -0400

Hi Jari,

Sorry for the very late reply. 
Thank you very much for your comments and corrections. I corrected all the typos and RFC references.

As far as RADIUS-Diameter interworking, I went through the Diameter-MIP application and re-used most of the AVPs defined by the specification, to the extent possible, so attribute-AVP translation should be minimal. However, given that we don't have the Diameter messages (AMR, AMA and so on), the messaging may need some mapping. We can add the message mapping in the text if you like, that should be straightforward.

Key-wise the two solutions are supposed to be the same, however, we will appreciate an Diameter-MIP expert review at some point in the future.
This draft is headed toward RADEXT after it receives MIP WG approval early next year.

Thanks again,
Madjid

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Jari Arkko
Sent: Tuesday, August 23, 2005 9:35 AM
To: [email-masked]
Subject: [Mip4] review of draft-nakhjiri-radius-mip4-01.txt

I read this draft. In general, it seems very useful to document & standardize the aaa-side of the mobile ipv4 authentication protocols. (Would there be commitment from pp2 to take this?)

I don't have a lot of comments, it seems pretty straightforward given the things that we've already defined in other specifications.
I wish the Diameter - RADIUS translation was easier or even automatic, but I don't see other way around this given that RFC 4004 was already published.

Some technical comments:

Section 5 description of attributes that already exist was confusing. Suggest splitting section 5 to new attributes and instruction for the use of old attributes parts.

Section 6 needs more details. Maybe ok for an -01, though.

Presumably this draft is still structurally and key-wise the same as RFC 4004? If no, that would make the implementation of a RADIUS-Diameter gateway even harder.

Some editorial nits:

>    The HA may reside in the mobile nodeÆs home domain, in which case 
> HA

Non-ASCII char. In several places, applies to double quotes too.

>    [DIAMIP] P. Calhoun, C. Perkins, ææDiameter Mobile IP applicationÆÆ,
>    IETF work in progress, draft-ietf-aaa-diameter-mobileip-18.txt, May
>    2004.

RFC 4004 now.

>    MIP-answer (HMA). RADIUS currently does not any messages that

s/does not any/does not have any/

--Jari

--
Mip4 mailing list: [email-masked]
    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/

-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/